package it.unibs.arnaldo.rovineperdute;

import java.util.HashMap;
import java.util.List;

public class Graph {
    private final HashMap<RovinaPerduta, List<RovinaPerduta>> graph = new HashMap<>();

    public Graph(){}

    public void add(RovinaPerduta rp, List<RovinaPerduta> links) {
        graph.put(rp, links);
    }

    public List<RovinaPerduta> getListaCollegamenti(RovinaPerduta rp){
        return graph.get(rp);
    }

    @Override
    public String toString() {
        StringBuilder ret = new StringBuilder();
        for (RovinaPerduta rp : graph.keySet()){
            ret.append(rp.toString()).append(": \n");
            List<RovinaPerduta> rovineCollegate = graph.get(rp);
            for (RovinaPerduta rpCollegata: rovineCollegate){
                ret.append("\t").append(rpCollegata.toString()).append("\n");
            }
        }
        return ret.toString();
    }
}
